[arch-commits] Commit in python-pyfix/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sat Dec 24 12:24:13 UTC 2016


    Date: Saturday, December 24, 2016 @ 12:24:12
  Author: felixonmars
Revision: 201488

archrelease: copy trunk to community-staging-any

Added:
  python-pyfix/repos/community-staging-any/
  python-pyfix/repos/community-staging-any/PKGBUILD
    (from rev 201487, python-pyfix/trunk/PKGBUILD)

----------+
 PKGBUILD |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

Copied: python-pyfix/repos/community-staging-any/PKGBUILD (from rev 201487, python-pyfix/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2016-12-24 12:24:12 UTC (rev 201488)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgbase=python-pyfix
+pkgname=('python-pyfix' 'python2-pyfix')
+pkgver=0.2.3
+_commit=403d51f426dda6a907c96d8d9d2e2942999b1f23
+pkgrel=3
+pkgdesc='A framework for writing automated software tests'
+arch=('any')
+url='https://github.com/pyclectic/pyfix'
+license=('Apache')
+makedepends=('python-pybuilder' 'python2-pybuilder' 'python-pyassert' 'python2-pyassert' 'git'
+             'python-coverage' 'python2-coverage' 'python-mockito' 'python2-mockito'
+             'python-unittest-xml-reporting' 'python2-unittest-xml-reporting' 'pychecker')
+             # python3-pychecker is missing
+source=("git+https://github.com/pyclectic/pyfix.git#commit=$_commit")
+md5sums=('SKIP')
+
+prepare() {
+  # package name will be determined by directory name
+  mkdir py2
+  cp -a pyfix py2/
+}
+
+check() {
+  cd "$srcdir"/pyfix
+  pyb -v analyze || warning "broken tests"
+
+  cd "$srcdir"/py2/pyfix
+  pyb2 -v analyze || warning "broken tests"
+}
+
+package_python-pyfix() {
+  depends=('python-pyassert')
+
+  cd pyfix
+  pyb -v -o package
+  cd target/dist/pyfix-$pkgver
+  python setup.py install --root="$pkgdir" -O1
+}
+
+package_python2-pyfix() {
+  depends=('python2-pyassert')
+
+  cd py2/pyfix
+  pyb2 -v -o package
+  cd target/dist/pyfix-$pkgver
+  python2 setup.py install --root="$pkgdir" -O1
+}



More information about the arch-commits mailing list